Dell Boomi AtomSphere

Browser support

The Dell Boomi AtomSphere platform supports Microsoft Edge, Microsoft Internet Explorer, Mozilla Firefox, Google Chrome, and Apple Safari.

If you are not using one of these browsers on one of the following supported versions, for the best experience, Dell Boomi encourages you to download and install the latest version. Using unsupported versions may result in limited functionality and/or inconsistent behavior.

BrowserSupported versions
Microsoft EdgeAll
Microsoft Internet Explorer11+
Mozilla Firefox 53+
Google Chrome 57+
Apple Safari10+

The AtomSphere platform is designed for and has been tested at a minimum screen resolution of 1366 x 768. Platform applications should function and display properly at this resolution and at higher resolutions.

NOTE:
  • All browsers must have JavaScript and cookies enabled.

  • Dell Boomi supports TLS version 1.1 and TLS version 1.2 in the supported browsers. SSL version 3.0 has been disabled due to the Poodle vulnerability.

    NOTE: On May 23, 2018, Dell Boomi disabled support for TLS v1.0 on the AtomSphere platform.

  • For Internet Explorer 11 — If the icons in the user guide’s table of contents and the icons for highlighting, navigation, and printing do not display correctly, you must change an IE setting. In your IE tools, select Compatibility View settings, and clear the Display Intranet Sites in Compatibility View check box.

  • For Firefox — Using the Reader View feature to view this user guide is not recommended because all content may not be displayed.

  • For Chrome — If the type in the user guide is exceptionally light, uninstall the Roboto Thin font from your system.

Related Concepts